fuzzydl.milp

## Class ShowVariablesHelper

- java.lang.Object
- - fuzzydl.milp.ShowVariablesHelper

-     public class ShowVariablesHelper
      extends java.lang.Object

  Manages variables shown to the user.
  Author:
    Fernando Bobillo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowVariablesHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAbstractFillerToShow(java.lang.String roleName)` Shows the membership degree to some atomic concepts of the fillers of an abstract role.
    `void` | `addAbstractFillerToShow(java.lang.String roleName, java.lang.String indName)` Shows the membership degree to some atomic concepts of the fillers of an abstract role for some individual.
    `void` | `addConceptToShow(java.lang.String concName)` Show membership degree of every instance of an atomic concept.
    `void` | `addConcreteFillerToShow(java.lang.String fName)` Shows the value of the fillers of a concrete feature.
    `void` | `addConcreteFillerToShow(java.lang.String fName, java.lang.String indName)` Shows the value of the fillers of a concrete feature for an individual.
    `void` | `addConcreteFillerToShow(java.lang.String fName, java.lang.String indName, java.util.ArrayList<FuzzyConcreteConcept> ar)` Shows the membership degree to some fuzzy concrete concepts (representing linguistic labels of the feature), for the fillers of a concrete feature of an individual.
    `void` | `addIndividualToShow(java.lang.String indName)` Shows the value of an individual to every atomic concept.
    `void` | `addVariable(Variable var, java.lang.String nameToShow)` Add a variable to shown, showing it with a given name.
    `ShowVariablesHelper` | `clone()` Gets a copy of the object.
    `java.util.ArrayList<FuzzyConcreteConcept>` | `getLabels(java.lang.String varName)` Gets the fuzzy concrete concepts marked to be shown for a variable.
    `java.lang.String` | `getName(Variable var)` Gets the name of a variable.
    `java.util.Collection<Variable>` | `getVariables()` Gets the variables to be shown.
    `boolean` | `showAbstractRoleFillers(java.lang.String roleName, java.lang.String indName)` Returns whether a given individuals is marked for showing every filler of an abstract role.
    `boolean` | `showConcepts(java.lang.String conceptName)` Returns whether an atomic concept is marked to show the membership degree of every individual.
    `boolean` | `showConcreteFillers(java.lang.String fName, java.lang.String indName)` Returns whether a given individuals is marked for showing every filler of a concrete feature.
    `boolean` | `showIndividuals(java.lang.String indName)` Gets whether an individual is marked to be shown or not.
    `boolean` | `showVariable(Variable var)` Shows the value of a variable.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShowVariablesHelper

          public ShowVariablesHelper()

  - ### Method Detail

    - #### clone

          public ShowVariablesHelper clone()

      Gets a copy of the object.
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        A copy of the object.

    - #### getName

          public java.lang.String getName(Variable var)

      Gets the name of a variable.
      Parameters:
        `var` - Variable.
      Returns:
        Name of the variable.

    - #### showVariable

          public boolean showVariable(Variable var)

      Shows the value of a variable.
      Parameters:
        `var` - Variable.
      Returns:
        Return whether the variable exists or not.

    - #### addIndividualToShow

          public void addIndividualToShow(java.lang.String indName)

      Shows the value of an individual to every atomic concept.
      Parameters:
        `indName` - Name of the individual.

    - #### showIndividuals

          public boolean showIndividuals(java.lang.String indName)

      Gets whether an individual is marked to be shown or not.
      Parameters:
        `indName` - Name of the individual.
      Returns:
        true if the individual is marked to be shown; false otherwise.

    - #### addConcreteFillerToShow

          public void addConcreteFillerToShow(java.lang.String fName)

      Shows the value of the fillers of a concrete feature.
      Parameters:
        `fName` - Name of the concrete feature.

    - #### addConcreteFillerToShow

          public void addConcreteFillerToShow(java.lang.String fName,
                                              java.lang.String indName)

      Shows the value of the fillers of a concrete feature for an individual.
      Parameters:
        `fName` - Name of the concrete feature.
        `indName` - Name of the individual.

    - #### addConcreteFillerToShow

          public void addConcreteFillerToShow(java.lang.String fName,
                                              java.lang.String indName,
                                              java.util.ArrayList<FuzzyConcreteConcept> ar)

      Shows the membership degree to some fuzzy concrete concepts (representing linguistic labels of the feature), for the fillers of a concrete feature of an individual.
      Parameters:
        `fName` - Name of the concrete feature.
        `indName` - Name of the individual.
        `ar` - Array of fuzzy concrete concepts.

    - #### getLabels

          public java.util.ArrayList<FuzzyConcreteConcept> getLabels(java.lang.String varName)

      Gets the fuzzy concrete concepts marked to be shown for a variable.
      Parameters:
        `varName` - Name of the variable, e.g. feature1(ind1).
      Returns:
        Array (possibly empty) f fuzzy concrete concepts.

    - #### addAbstractFillerToShow

          public void addAbstractFillerToShow(java.lang.String roleName)

      Shows the membership degree to some atomic concepts of the fillers of an abstract role.
      Parameters:
        `roleName` - Name of the abstract role.

    - #### addAbstractFillerToShow

          public void addAbstractFillerToShow(java.lang.String roleName,
                                              java.lang.String indName)

      Shows the membership degree to some atomic concepts of the fillers of an abstract role for some individual.
      Parameters:
        `roleName` - Name of the abstract role.
        `indName` - Name of the individual.

    - #### showConcreteFillers

          public boolean showConcreteFillers(java.lang.String fName,
                                             java.lang.String indName)

      Returns whether a given individuals is marked for showing every filler of a concrete feature.
      Parameters:
        `fName` - Name of the concrete feature.
        `indName` - Name of the individual.
      Returns:
        Whether the individuals is marked for showing every filler of fName.

    - #### showAbstractRoleFillers

          public boolean showAbstractRoleFillers(java.lang.String roleName,
                                                 java.lang.String indName)

      Returns whether a given individuals is marked for showing every filler of an abstract role.
      Parameters:
        `roleName` - Name of the abstract role.
        `indName` - Name of the individual.
      Returns:
        Whether the individuals is marked for showing every filler of roleName.

    - #### addConceptToShow

          public void addConceptToShow(java.lang.String concName)

      Show membership degree of every instance of an atomic concept.
      Parameters:
        `concName` - Name of atomic concept.

    - #### showConcepts

          public boolean showConcepts(java.lang.String conceptName)

      Returns whether an atomic concept is marked to show the membership degree of every individual.
      Parameters:
        `conceptName` - Name of atomic concept.
      Returns:
        true if the concept is marked to be shown; false otherwise.

    - #### addVariable

          public void addVariable(Variable var,
                                  java.lang.String nameToShow)

      Add a variable to shown, showing it with a given name.
      Parameters:
        `var` - Variable.
        `nameToShow` - Name of the variable when shown.

    - #### getVariables

          public java.util.Collection<Variable> getVariables()

      Gets the variables to be shown.
      Returns:
        Variables to be shown.